package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicReadType {
    public static final String TRANSFORMER = "变压器";
    public static final String LAMP = "路灯";
    public static final String COVER = "井盖";
    public static final String GUARDRAIL = "护栏";
    public static final String HYDRANT = "消防栓";


    private static DicReadType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicReadType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TRANSFORMER, TRANSFORMER);
        dicMap.put(LAMP, LAMP);
        dicMap.put(COVER, COVER);
        dicMap.put(GUARDRAIL, GUARDRAIL);
        dicMap.put(HYDRANT, HYDRANT);
    }

    public static DicReadType getInstacne(){
        if (instance == null)
        {
            instance = new DicReadType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
